Vagrant.configure(2) do |config|

  config.vm.box = "debian/buster64"

  config.vm.provider "libvirt" do |vm|
    vm.memory = "1024"
  end

  config.vm.provision "step_ansible", type: "ansible_local" do |ansible|
    ansible.playbook = "deploy/ansible/server.yml"
    ansible.install_mode = "pip"  # debian version is too old
    ansible.become_user = "root"
    ansible.become = true
    ansible.extra_vars = {
      lookup_src: "/vagrant",
      develop: true,
    }
    # CLI command.
    # ANSIBLE_ARGS='--extra-vars "some_var=value"' vagrant up
    ansible.raw_arguments = Shellwords.shellsplit(ENV['ANSIBLE_ARGS']) if ENV['ANSIBLE_ARGS']
  end

end
